Index: src/symbols.c
===================================================================
--- src/symbols.c	(revision 1477)
+++ src/symbols.c	(working copy)
@@ -111,7 +111,13 @@
 
 	if (! tfi->tags_loaded)
 	{
-		gchar *fname = g_strconcat(app->datadir, G_DIR_SEPARATOR_S, tfi->tag_file, NULL);
+		gchar *fname = g_strconcat(GEANY_HOME_DIR, G_DIR_SEPARATOR_S, ".", PACKAGE, 
+			G_DIR_SEPARATOR_S, tfi->tag_file, NULL);
+		if (!g_file_test(fname, G_FILE_TEST_EXISTS))
+		{
+			g_free(fname);
+			fname = g_strconcat(app->datadir, G_DIR_SEPARATOR_S, tfi->tag_file, NULL);
+		}
 		gint tm_lang;
 
 		tm_lang = filetypes[file_type_idx]->lang;
